com.digi.xbee.api.exceptions

## Class TransmitException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.digi.xbee.api.exceptions.XBeeException
      - - com.digi.xbee.api.exceptions.CommunicationException
        - - com.digi.xbee.api.exceptions.TransmitException

- All Implemented Interfaces:
    Serializable

      public class TransmitException
      extends CommunicationException

  This exception will be thrown when receiving a transmit status different than `XBeeTransmitStatus#SUCCESS` after sending an XBee API packet.
  See Also:
    `CommunicationException`, `XBeeTransmitStatus`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransmitException(String message, Throwable cause, XBeeTransmitStatus transmitStatus)` Creates a `TransmitException` with the specified message, cause and `XBeeTransmitStatus` indicating the status of the transmission.
    `TransmitException(String message, XBeeTransmitStatus transmitStatus)` Creates a `TransmitException` with the specified message and `XBeeTransmitStatus` indicating the status of the transmission.
    `TransmitException(XBeeTransmitStatus transmitStatus)` Creates a `TransmitException` with the provided `XBeeTransmitStatus` indicating the status of the transmission and as its error detail message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `XBeeTransmitStatus` | `getTransmitStatus()` Returns the `XBeeTransmitStatus` of the exception containing information about the transmission.
    `String` | `getTransmitStatusMessage()` Returns the text containing the status of the transmission from the exception.

    - ### Methods inherited from class com.digi.xbee.api.exceptions.XBeeException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransmitException

          public TransmitException(String message,
                           Throwable cause,
                           XBeeTransmitStatus transmitStatus)

      Creates a `TransmitException` with the specified message, cause and `XBeeTransmitStatus` indicating the status of the transmission.
      Parameters:
        `message` - The associated message.
        `cause` - The cause of this exception.
        `transmitStatus` - The status of the transmission.
      See Also:
        `Throwable`, `XBeeTransmitStatus`

    - #### TransmitException

          public TransmitException(String message,
                           XBeeTransmitStatus transmitStatus)

      Creates a `TransmitException` with the specified message and `XBeeTransmitStatus` indicating the status of the transmission.
      Parameters:
        `message` - The associated message.
        `transmitStatus` - The status of the transmission.
      See Also:
        `XBeeTransmitStatus`

    - #### TransmitException

          public TransmitException(XBeeTransmitStatus transmitStatus)

      Creates a `TransmitException` with the provided `XBeeTransmitStatus` indicating the status of the transmission and as its error detail message.
      Parameters:
        `transmitStatus` - The status of the transmission.
      See Also:
        `XBeeTransmitStatus`

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### getTransmitStatus

          public XBeeTransmitStatus getTransmitStatus()

      Returns the `XBeeTransmitStatus` of the exception containing information about the transmission.
      Returns:
        The status of the transmission.
      See Also:
        `XBeeTransmitStatus`

    - #### getTransmitStatusMessage

          public String getTransmitStatusMessage()

      Returns the text containing the status of the transmission from the exception.
      Returns:
        The text with the status of the transmission.

© Copyright 2014–2014 Digi International Inc. All rights reserved.